Cloud APIs
/- Managed Planning Data Foundation
- Core Services
Spatial Ref Service
- Post an Ocean textual representation to create a persistable reference
Post the authority code of a late-bound CRS to create a persistable reference
Post components of an early-bound CRS to create a persistable reference
Post components of a late-bound CRS to create a persistable reference
Post an Ocean companion xml encoded as text to create a persistable reference
Post a transformation authority code to create a persistable reference
Post an Ocean textual rep...
Post a request containing an Ocean textual representation to create a persistable reference.
Security
bearer
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanTextualReference
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanTextualReference
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanTextualReference
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanTextualReference
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanTextualReference
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanTextualReference
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanTextualReference
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanTextualReference
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanTextualReference
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanTextualReference
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanTextualReference
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanTextualReference
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-spatial-reference-service/persistableReference/fromOceanTextualReference
curl -i -X POST \
https://as5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanTextualReference \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'data-partition-id: string' \
-d '{
"oceanTextualRepresentation": "ESRI,PE_10_3_1: <?xml version=\"1.0\" encoding=\"utf-16\"?><ILateBoundCoordinateReferenceSystem name=\"GCS_WGS_1984\"><AuthorityCode>EPSG,4326</AuthorityCode></ILateBoundCoordinateReferenceSystem>"
}'Success: Ocean to persistable reference conversion successful
The input Ocean textual representation
Example:"ESRI,PE_10_3_1: <?xml version=\"1.0\" encoding=\"utf-16\"?><ILateBoundCoordinateReferenceSystem name=\"GCS_WGS_1984\"><AuthorityCode>EPSG,4326</Autho
The created persistable reference on success; null on error
Example:"{\"wkt\":\"GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",6378137.0,298.257223563]],PRIMEM[\\\"Greenwich\\\",0.0],UNI
Response
{ "oceanTextualRepresentation": "ESRI,PE_10_3_1: <?xml version=\"1.0\" encoding=\"utf-16\"?><ILateBoundCoordinateReferenceSystem name=\"GCS_WGS_1984\"><AuthorityCode>EPSG,4326</AuthorityCode></ILateBoundCoordinateReferenceSystem>", "persistableReference": "{\"wkt\":\"GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",6378137.0,298.257223563]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433],AUTHORITY[\\\"EPSG\\\",4326]]\",\"ver\":\"PE_10_3_1\",\"name\":\"GCS_WGS_1984\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"4326\"},\"type\":\"LBC\"}", "statusInformation": "Success" }